查询货件详情
POST
/amzStaServer/openapi/inbound-shipment/shipmentDetailList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-shipment/shipmentDetailList | HTTPS | POST | 1 |
请求参数
inboundPlanIdstringshipmentIdsarray<any>shipmentConfirmationIdstringsidinteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/shipmentDetailList?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"sid": 123456,
"shipmentConfirmationId": "FBA190XXXXXK"
}'
使用原方式查询:
{
"sid": 123456,
"inboundPlanId": "wfxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"shipmentIds": ["shxxxxxx"]
}
返回结果
codeinteger必填messagestring必填errorDetailsarray<any>必填requestIdstring必填responseTimestring必填dataobject必填隐藏子属性
inboundPlanIdstring必填shipmentListarray<object>必填隐藏子属性
alphaCodestring必填amazonReferenceIdstring必填endDatestring必填inboundRegionstring必填itemCountinteger必填itemListarray<object>必填隐藏子属性
asinstring必填fnskustring必填mskustring必填parentAsinstring必填productNamestring必填quantityinteger必填skustring必填titlestring必填urlstring必填pickUpIdstring必填sendAddressobject必填隐藏子属性
addressLine1string必填addressLine2string必填addressNamestring必填citystring必填countrystring必填countryCodestring必填emailstring必填phoneNumberstring必填postalCodestring必填stateOrProvinceCodestring必填shipingTimestring必填shipmentConfirmationIdstring必填shipmentNamestring必填shippingAddressobject必填隐藏子属性
addressLine1string必填addressLine2string必填addressNamestring必填citystring必填countrystring必填countryCodestring必填emailstring必填phoneNumberstring必填postalCodestring必填stateOrProvinceCodestring必填shippingModestring必填shippingSolutionstring必填sidinteger必填startDatestring必填statusstring必填trackingNumberListarray<object>必填隐藏子属性
boxIdstring必填trackingNumberstring必填warehouseIdstring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"errorDetails": [],
"requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
"responseTime": "2024-11-28T14:04:46.069",
"data": {
"inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
"shipmentList": [{
"alphaCode": "承运方式",
"amazonReferenceId": "关联号",
"endDate": "送达时段-结束时间",
"inboundRegion": "入库区域",
"itemCount": "商品总数",
"itemList": [{
"asin": "asin",
"fnsku": "fnsku",
"msku": "msku",
"parentAsin": "父asin",
"productName": "品名",
"quantity": "申报量",
"sku": "sku",
"title": "标题",
"url": "图片url"
}],
"pickUpId": "提货单号",
"sendAddress": {
"addressLine1": "街道地址1",
"addressLine2": "街道地址2",
"addressName": "地址名称",
"city": "城市",
"country": "国家名称",
"countryCode": "国家code",
"email": "邮箱",
"phoneNumber": "电话号码",
"postalCode": "邮政编码",
"stateOrProvinceCode": "省市区code"
},
"shipingTime": "发货日期",
"shipmentConfirmationId": "货件单号",
"shipmentName": "货件名称",
"shippingAddress": {
"addressLine1": "街道地址1",
"addressLine2": "街道地址2",
"addressName": "地址名称",
"city": "城市",
"country": "国家名称",
"countryCode": "国家code",
"email": "邮箱",
"phoneNumber": "电话号码",
"postalCode": "邮政编码",
"stateOrProvinceCode": "省市区code"
},
"shippingMode": "货件类型(GROUND_SMALL_PARCEL代表小包裹快递(SPD)、FREIGHT_LTL代表汽运零担(LTL))",
"shippingSolution": "承运人(USE_YOUR_OWN_CARRIER代表其他承运人、AMAZON_PARTNERED_CARRIER代表亚马逊合作承运人)",
"sid": "店铺ID",
"startDate": "送达时段-开始时间",
"status": "货件状态",
"trackingNumberList": [{
"boxId": "箱号",
"trackingNumber": "追踪编号"
}],
"warehouseId": "物流中心编码"
}]
}
}